/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: flex;
  flex-flow: column;
  padding: 1em;
  box-sizing: border-box;
  width: 100%;
}


.list-select {
  display: grid;
  width: 100%;
  grid-template-columns: max-content auto max-content;
  grid-gap: 0.5em;
  margin-bottom: auto;
  align-items: center;
}

.list-select--control {
  display: flex;
  width: 100%;
  margin-left: 0.2em;

  & > * {
    flex: 1 1 100%;
    width: 100%;
  }
}

.list-select--button {
  font-size: 0.8em;
}

.list-select--error {
  display: flex;
  margin-top: -0.4em;
  margin-left: 0.85em;
}

.list-select--error--label {
  color: $openk-error-color;
  font-size: x-small;
  font-style: italic;
}


.list-select--options--title {
  align-self: start;
  margin-top: 0.25em;
}

.list-select--options {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(15em, 1fr));
  grid-gap: 0.5em;
}

.list--select--options--control {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  position: relative;
}

.list--select--options--control--input {
  margin-left: 0.5em;
  padding-right: 2em;
  width: 100%;
  flex: 1 1 100%;
}

.list--select--options--control--button {
  position: absolute;
  right: 0.4em;
}

.list-select--options--control--add {
  align-self: end;
  min-height: 2.137em;
  display: flex;
  justify-content: center;
  align-items: center;
}
